<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('product_color', function (Blueprint $table) {
            $table->decimal('recycling_points', 12, 2)->default(0.00)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('product_color', function (Blueprint $table) {
            $table->bigInteger('recycling_points')->default(0)->change();
        });
    }
};
